# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.api.suggestions_api import SuggestionsApi


class TestSuggestionsApi(unittest.IsolatedAsyncioTestCase):
    """SuggestionsApi unit test stubs"""

    async def asyncSetUp(self) -> None:
        self.api = SuggestionsApi()

    async def asyncTearDown(self) -> None:
        await self.api.api_client.close()

    async def test_apply_suggestion_api_v1_suggestions_id_apply_post(self) -> None:
        """Test case for apply_suggestion_api_v1_suggestions_id_apply_post

        Apply Suggestion
        """
        pass

    async def test_apply_suggestions_bulk_api_v1_suggestions_apply_bulk_post(self) -> None:
        """Test case for apply_suggestions_bulk_api_v1_suggestions_apply_bulk_post

        Apply Suggestions Bulk
        """
        pass

    async def test_create_or_update_suggestions_bulk_api_v1_suggestions_bulk_post(self) -> None:
        """Test case for create_or_update_suggestions_bulk_api_v1_suggestions_bulk_post

        Create Or Update Suggestions Bulk
        """
        pass

    async def test_create_suggestion_api_v1_suggestions_post(self) -> None:
        """Test case for create_suggestion_api_v1_suggestions_post

        Create Suggestion
        """
        pass

    async def test_delete_suggestion_api_v1_suggestions_id_delete(self) -> None:
        """Test case for delete_suggestion_api_v1_suggestions_id_delete

        Delete Suggestion
        """
        pass

    async def test_get_suggestion_api_v1_suggestions_id_get(self) -> None:
        """Test case for get_suggestion_api_v1_suggestions_id_get

        Get Suggestion
        """
        pass

    async def test_get_suggestions_api_v1_suggestions_get(self) -> None:
        """Test case for get_suggestions_api_v1_suggestions_get

        Get Suggestions
        """
        pass

    async def test_upsert_suggestion_api_v1_suggestions_id_put(self) -> None:
        """Test case for upsert_suggestion_api_v1_suggestions_id_put

        Upsert Suggestion
        """
        pass


if __name__ == '__main__':
    unittest.main()
